local BASE_CRIT_MULT

local function calcCritMult(weapon)
	if weapon then
		speed = weapon.object.speed - 0.5
	else
		speed = 1.5
	end
	tes3.findGMST("fCombatCriticalStrikeMult").value = BASE_CRIT_MULT * speed
	--tes3.messageBox("Current critical multiplier: %f", tes3.findGMST("fCombatCriticalStrikeMult").value)
end

local function onWeaponReadied(e)
	if e.reference ~= tes3.player then return end
	calcCritMult(e.weaponStack)
end
	

local function onWeaponUnreadied(e)
	if e.reference ~= tes3.player then return end
	tes3.findGMST("fCombatCriticalStrikeMult").value = BASE_CRIT_MULT
	--tes3.messageBox("Current critical multiplier: %f", tes3.findGMST("fCombatCriticalStrikeMult").value)
end

local function onLoaded(e)
	calcCritMult(tes3.mobilePlayer.readiedWeapon)
end

local function initialized(e)
	event.register("weaponReadied", onWeaponReadied)
	event.register("weaponUnreadied", onWeaponUnreadied)
	event.register("loaded", onLoaded)
	BASE_CRIT_MULT = tes3.findGMST("fCombatCriticalStrikeMult").value
end

event.register("initialized", initialized)